require "TimedActions/ISBaseTimedAction"

ISSitOnWO = ISBaseTimedAction:derive("ISSitOnWO");

function ISSitOnWO:isValid()
    return true;
end

function ISSitOnWO:update()
	if not self.character:shouldBeTurning() then
		self:forceComplete()
		return
	end
end

function ISSitOnWO:start()
	-- print("ISSitOnWO:start")
	forceDropHeavyItems(self.character)
	self.character:setPrimaryHandItem(nil)
	self.character:setSecondaryHandItem(nil)
	-- self.character:setHideWeaponModel(true)
	
	if self.deltaX > self.deltaY then
		self.character:facePosition(self.item:getSquare():getX() + 10, self.item:getSquare():getY())
		self.character:getModData()["facePosition"] = {self.item:getSquare():getX() + 10, self.item:getSquare():getY()}
	else
		self.character:facePosition(self.item:getSquare():getX(), self.item:getSquare():getY() + 10)
		self.character:getModData()["facePosition"] = {self.item:getSquare():getX(), self.item:getSquare():getY() + 10}
	end
	self.character:setX(self.item:getSquare():getX() + self.deltaX)
	self.character:setY(self.item:getSquare():getY() + self.deltaY)
	
end

function ISSitOnWO:stop()
	-- print("ISSitOnWO:stop")
    ISBaseTimedAction.stop(self);
end

function ISSitOnWO:perform()
	-- print("ISSitOnWO:perform")
	self.character:setPrimaryHandItem(nil)
	-- self.character:setHideWeaponModel(true)
	self.character:setSecondaryHandItem(nil)
	self.character:reportEvent("EventSitOnGround");
	self.character:setVariable("SitWOAnim", "Idle"); 
	self.character:setBlockMovement(true)
    -- needed to remove from queue / start next.
    ISBaseTimedAction.perform(self);
end

function ISSitOnWO:new(character, item, deltaX, deltaY)
    local o = {}
    setmetatable(o, self)
    self.__index = self
    o.character = character;
    o.item = item;
	o.deltaX = deltaX;
	o.deltaY = deltaY;
	o.maxTime = -1;
    o.stopOnWalk = true;
    o.stopOnRun = true;
    return o;
end
